Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MID Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.microedition.rms
Class RecordStoreFullException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.microedition.rms.RecordStoreException
                        |
                        +--javax.microedition.rms.RecordStoreFullException

public class RecordStoreFullException
extends RecordStoreException

Thrown to indicate an operation could not be completed because the record store system storage is full.

Constructor Summary
`RecordStoreFullException()` Constructs a new `RecordStoreFullException` with no detail message.
`RecordStoreFullException(String message)` Constructs a new `RecordStoreFullException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RecordStoreFullException

    public RecordStoreFullException(String message)

  Constructs a new `RecordStoreFullException` with the specified detail message.
  Parameters:
    `message` - the detail message.

### RecordStoreFullException

    public RecordStoreFullException()

  Constructs a new `RecordStoreFullException` with no detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MID Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 0.95 of MID Profile Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright 1993-2000 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved.